libmad-devel-0.15.1b-22.2.mga6.i586.rpm


Advertisement

Description

libmad-devel - Development tools for programs which will use the mad library

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates i586
Package name libmad-devel
Package version 0.15.1b
Package release 22.2.mga6
Package architecture i586
Package type rpm
Installed size 362.62 KB
Download size 135.08 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
This package includes the header files and static libraries
necessary for developing programs using the mad library.
If you are going to develop programs which will use the mad library
you should install this.

Alternatives

Package Version Architecture Repository
libmad-devel-0.15.1b-22.3.mga6.i586.rpm 0.15.1b i586 Mageia Core Updates
libmad-devel-0.15.1b-22.1.mga6.i586.rpm 0.15.1b i586 Mageia Core Updates
libmad-devel-0.15.1b-22.mga6.i586.rpm 0.15.1b i586 Mageia Core
libmad-devel - - -

Requires

Name Value
libmad0 == 0.15.1b
multiarch utils
pkgconfig -
zlib devel

Provides

Name Value
devel(libmad) -
libmad-devel == 0.15.1b-22.2.mga6
libmad-devel(x86-32) == 0.15.1b-22.2.mga6
libtool(/usr/lib/libmad.la) -
mad-devel == 0.15.1b-22.2.mga6
pkgconfig(mad) == 0.15.1b

Obsoletes

Name Value
libmad0 devel
mad devel

Download

Type URL
Binary Package libmad-devel-0.15.1b-22.2.mga6.i586.rpm
Source Package mad-0.15.1b-22.2.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libmad-devel rpm package:
    # urpmi libmad-devel

Files

Path
/usr/include/mad.h
/usr/include/multiarch-i386-linux/mad.h
/usr/lib/libmad.a
/usr/lib/libmad.la
/usr/lib/libmad.so
/usr/lib/pkgconfig/mad.pc
/usr/share/doc/libmad-devel/CHANGES
/usr/share/doc/libmad-devel/COPYING
/usr/share/doc/libmad-devel/COPYRIGHT
/usr/share/doc/libmad-devel/CREDITS
/usr/share/doc/libmad-devel/README
/usr/share/doc/libmad-devel/TODO

Changelog

2019-02-03 - luigiwalser <luigiwalser> 0.15.1b-22.2.mga6
+ Revision: 1362882
- patches for mga#23698 (sync with cauldron)
- rediff patch from debian to fix CVE-2017-837[2-4]
2016-06-24 - shlomif <shlomif> 0.15.1b-22.mga6
+ Revision: 1037459
- New patch to MGA#18776 by Deri James. [rebased]
2016-06-19 - shlomif <shlomif> 0.15.1b-21.mga6
+ Revision: 1036798
- Fix layer1/2 and sometimes 3 playback. Amend prev patch (MGA#18736).
Tested locally to be fine.
2016-06-17 - shlomif <shlomif> 0.15.1b-20.mga6
+ Revision: 1021998
- Improved patch with some possibly better ABI compat.
2016-06-16 - shlomif <shlomif> 0.15.1b-19.mga6
+ Revision: 1021762
- Fixed some problems with mp3 playback by modding the patch.
2016-06-05 - luigiwalser <luigiwalser> 0.15.1b-18.mga6
+ Revision: 1020277
- add patch from VLC to fix buffer overread and crash
2016-02-05 - umeabot <umeabot> 0.15.1b-17.mga6
+ Revision: 936505
- Mageia 6 Mass Rebuild

See Also

Package Description
libmad0-0.15.1b-22.1.mga6.i586.rpm High-quality MPEG Audio Decoder
libmad0-0.15.1b-22.2.mga6.i586.rpm High-quality MPEG Audio Decoder
libmad0-0.15.1b-22.3.mga6.i586.rpm High-quality MPEG Audio Decoder
libmagic-devel-5.25-5.1.mga6.i586.rpm Development files to build applications that handle magic files
libmagic-static-devel-5.25-5.1.mga6.i586.rpm Static library to build applications that handle magic files
libmagic1-5.25-5.1.mga6.i586.rpm Shared library for handling magic files
libmagick++-6Q16_8-6.9.10.0-1.1.mga6.i586.rpm ImageMagick libraries
libmagick++-6Q16_8-6.9.10.0-1.mga6.i586.rpm ImageMagick libraries
libmagick++-6Q16_8-6.9.10.22-1.1.mga6.i586.rpm ImageMagick libraries
libmagick++-6Q16_8-6.9.9.41-1.mga6.i586.rpm ImageMagick libraries
libmagick-6Q16_6-6.9.10.0-1.1.mga6.i586.rpm ImageMagick libraries
libmagick-6Q16_6-6.9.10.0-1.mga6.i586.rpm ImageMagick libraries
libmagick-6Q16_6-6.9.10.22-1.1.mga6.i586.rpm ImageMagick libraries
libmagick-6Q16_6-6.9.9.41-1.mga6.i586.rpm ImageMagick libraries
libmagick-devel-6.9.10.0-1.1.mga6.i586.rpm Static libraries and header files for ImageMagick app development
Advertisement
Advertisement